Bug 443897 - Review Request: ocaml-omake - OCaml build system with automated dependency analysis
Review Request: ocaml-omake - OCaml build system with automated dependency an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 18:08 EDT by Richard W.M. Jones
Modified: 2008-04-25 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 13:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-23 18:08:49 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-omake.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-omake-0.9.8.5-1.fc8.src.rpm
Description: OCaml build system with automated dependency analysis

rpmlint gives some warnings about file encodings on some
peculiarly named '*.ai' files (which are really PDFs) and
some *.ps and *.eps files (where presumably end of line
encodings don't matter).  Apart from that the package is
pretty clean.
Comment 1 Richard W.M. Jones 2008-04-23 18:38:15 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-omake.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-omake-0.9.8.5-2.fc8.src.rpm

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.8.5-2
- Added stdin/stdout fix patch from Debian.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=579857
Comment 2 Dan Horák 2008-04-25 08:37:37 EDT
OK	source files match upstream:
	    e78c9d8858749f5e234cba303637980e24085cbc  omake-0.9.8.5-3.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/X86_64).
N/A	debuginfo package looks complete.
OK	rpmlint output can be ignored.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.


notes
- remove the exec bit from the patch

this package is APPROVED
Comment 3 Richard W.M. Jones 2008-04-25 10:44:29 EDT
New Package CVS Request
=======================
Package Name: ocaml-omake
Short Description: OCaml build system with automated dependency analysis
Owners: rjones
Branches: F-8 F-9 EL-4 EL-5
InitialCC: rjones
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-25 11:15:55 EDT
cvs done.
Comment 5 Richard W.M. Jones 2008-04-25 13:46:11 EDT
Building for all 5 branches now.

Note You need to log in before you can comment on or make changes to this bug.